using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Blindfold.Managers;

namespace Blindfold.Objects
{
    public class Checkpoint : Obj
    {
        private Vector3 position;

        #region PROPERTIES
        public Vector3 POSITION
        {
            get
            {
                return position;
            }
        }
        #endregion

        public Checkpoint(Vector3 pos)
            : base()
        {
            position = pos;
        }

        public override void Update(GameTime gameTime)
        {
        }

        public override void Draw(SpriteBatch sb)
        {
            sb.Draw(ObjManager.GAME.OBJTEX, new Rectangle(312 + (int)((position.X - ObjManager.GAME.PLAYER.POSITION.X) /* *10*/), 232 + (int)((position.Y - ObjManager.GAME.PLAYER.POSITION.Y) /* *10*/), 16, 16), Color.Orange);
            base.Draw(sb);
        }
    }
}
